# Generated by Django 3.2.14 on 2022-07-17 20:52

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('bibl', '0005_auto_20220717_2348'),
    ]

    operations = [
        migrations.CreateModel(
            name='Author',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('FIO', models.CharField(max_length=100, verbose_name='ФИО автора')),
                ('text', models.TextField(verbose_name='Об авторе')),
                ('gender', models.CharField(default='муж', max_length=3, verbose_name='Пол')),
            ],
        ),
        migrations.CreateModel(
            name='Genre',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100, verbose_name='Название жанра')),
                ('text', models.TextField(verbose_name='Описание жанра')),
            ],
        ),
        migrations.AddField(
            model_name='pril',
            name='publisher',
            field=models.CharField(default='Художественная литература', max_length=100, verbose_name='Издательство'),
        ),
        migrations.AddField(
            model_name='pril',
            name='genre',
            field=models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, to='bibl.genre'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='pril',
            name='author',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='bibl.author'),
        ),
    ]
